<p align="center">
  <img src="https://gitee.com/pandafe/element3/raw/master/element_logo.svg">
</p>

## Introduction

A Vue.js 3.0 UI Toolkit for Web.

## Install

```shell
npm install element3 -S
```

## Quick Start

```js
import { createApp } from 'vue'
import App from './App.vue'
// import style
import 'element3/lib/theme-chalk/index.css'
import Element3 from 'element3'

// global import
createApp(App).use(Element3).mount('#app')

// or according to the need to import
import {
  ElLink,
  ElButton
  // ...
} from 'element3'

createApp(App).use(ElLink).use(ElButton)
```

## About

- base on [element-ui](https://github.com/ElemeFE/element)
- Table Component base on [element-plus](https://github.com/element-plus/element-plus)
  - rewrite Table is WIP

## Documentation

To check out live docs, visit [website](https://element3-ui.com/)

## Questions

TODO

## Issues

Please make sure to read the [Issue Reporting Checklist](TODO) before opening an issue. Issues not conforming to the guidelines may be closed immediately.

## Changelog

Detailed changes for each release are documented in the [CHANGELOG](https://github.com/kkbjs/element3/blob/master/CHANGELOG.md).

## Contribution ✨

Please make sure to read the [Contributing Guide](https://juejin.im/post/6864462363039531022) before making a pull request. If you have a Element3-related project/component/tool, add it with a pull request to [this curated list](TODO)!

Thank you to all the people who already contributed to Element3!

<table><tr><td align="center"><a href="https://github.com/shengxinjing" target="_blank"><img src="https://sf6-ttcdn-tos.pstatp.com/img/user-avatar/232746a4fa00cc14150b1dec420018dd~120x256.image"  width="60" alt=""/><br /><sub><b>shengxinjing</b></sub></a><br /><a target="_blank" href="https://juejin.im/user/1556564194370270" title="Code" style="padding: 0 3px">💻</a><a target="_blank" href="https://space.bilibili.com/26995758" title="Code" style="padding: 0 3px">🎬</a></td><td align="center"><a href="https://github.com/cuixiaorui" target="_blank"><img src="https://user-gold-cdn.xitu.io/2019/12/8/16ee34c171e57baf?imageView2/1/w/180/h/180/q/85/format/webp/interlace/1"  width="60" alt=""/><br /><sub><b>cuixiaorui</b></sub></a><br /><a target="_blank" href="https://juejin.im/user/2101921961483374" title="Code" style="padding: 0 3px">💻</a></td><td align="center"><a href="https://juejin.im/user/2101921961483374" target="_blank"><img src="https://sf3-ttcdn-tos.pstatp.com/img/user-avatar/69ae92d51d8ba6b614b5509d9e43d84b~120x256.image"  width="60" alt=""/><br /><sub><b>大帅ezshine</b></sub></a><br /><a target="_blank" href="https://github.com/ezshine" title="Code" style="padding: 0 3px">🧩</a><a target="_blank" href="https://space.bilibili.com/422646817" title="Code" style="padding: 0 3px">📺</a></td><td align="center"><a href="https://juejin.im/user/3685218706268685" target="_blank"><img src="https://sf6-ttcdn-tos.pstatp.com/img/user-avatar/4ac8f0e26656e6270e8585ef1eb62090~120x256.image"  width="60" alt=""/><br /><sub><b>blackNezha</b></sub></a><br /><a target="_blank" href="https://juejin.im/user/3685218706268685" title="Code" style="padding: 0 3px">💻</a></td><td align="center"><a href="https://juejin.im/user/325111174926350" target="_blank"><img src="https://sf6-ttcdn-tos.pstatp.com/img/user-avatar/eabd8df63fd2eec8b312e8da2b335c21~120x256.image"  width="60" alt=""/><br /><sub><b>村长</b></sub></a><br /><a target="_blank" href="https://space.bilibili.com/480140591" title="Code" style="padding: 0 3px">🎬</a><a target="_blank" href="https://juejin.im/user/325111174926350" title="Code" style="padding: 0 3px">💻</a></td><td align="center"><a href="https://github.com/su37josephxia" target="_blank"><img src="https://avatars3.githubusercontent.com/u/9651900?s=460&u=a03f01f1ce8e0f056601dd8b8bc57ecdf2f9ff75&v=4"  width="60" alt=""/><br /><sub><b>全栈然叔</b></sub></a><br /><a target="_blank" href="https://juejin.im/user/1978776660216136" title="Code" style="padding: 0 3px">🚌</a></td><td align="center"><a href="https://github.com/ImJustAMan" target="_blank"><img src="https://sf3-ttcdn-tos.pstatp.com/img/user-avatar/1cbee2ff884b72a50a24b023d7c82286~120x256.image"  width="60" alt=""/><br /><sub><b>轩姐JustAMan</b></sub></a><br /><a target="_blank" href="https://juejin.im/user/3324538846452702" title="Code" style="padding: 0 3px">💻</a></td></tr><table>

## Join Discussion Group

Scan the QR code using [Dingtalk App](https://www.dingtalk.com/) to join in discussion group :

<img alt="Join Discusion Group" src="https://pic2.zhimg.com/50/v2-1442930ab968582ef6b959902ff71712_r.jpg" width="300">

## License

[MIT](http://opensource.org/licenses/MIT)
